Skip to main content
POST
Cancel Collection Account Request

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Unique ID of the collection account.

req_id
string
required

Unique ID of the request to cancel.

Response

200 - application/json

Collection account request cancelled successfully.

An enablement, disablement, or reenablement request attached to a collection account.

id
string

Unique ID of the request.

object
string

Always "collection_account_request".

collection_account_id
string

ID of the linked collection account.

type
enum<string>

Type of request.

Available options:
enablement,
disablement,
reenablement
status
enum<string>

Current status of the request.

Available options:
processing,
approval_hold,
requires_action,
succeeded,
failed,
cancelled
requested_currencies
string[]

Currencies requested for enablement (present on enablement requests).

created_at
string<date-time>

Timestamp when the request was created.

updated_at
string<date-time>

Timestamp when the request was last updated.

status_description
string

Description of the current status or failure reason.